#
# spec file for package jaf (Version 1.0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           jaf
BuildRequires:  jpackage-utils
%define name            jaf
%define version         1.0.2
%define cvs_version     1_0_2-upd
%define release         4jpp
%define section		non-free
Version:        1.0.2
Release:        17.2
Summary:        JavaBeans Activation Framework
License:        Other License(s), see package
Source0:        %{name}-%{cvs_version}.zip
NoSource:       0
URL:            http://java.sun.com/products/javabeans/glasgow/jaf.html
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With the JavaBeansTM Activation Framework standard extension,
developers who use JavaTM technology can take advantage of standard
services to determine the type of an arbitrary piece of data,
encapsulate access to it, discover the operations available on it, and
to instantiate the appropriate bean to perform said operations. For
example, if a browser obtained a JPEG image, this framework would
enable the browser to identify that stream of data as an JPEG image
and, from that type, the browser could locate and instantiate an object
that could manipulate or view that image. The JavaBeans Activation
Framework is implemented as a standard extension. Sun provides a
royalty-free reference implementation of the JAF software, in binary
form, that developers can use to develop JAF technology-enabled
applications for any platform that supports the Java Development Kit
(JDKTM) 1.1 software or the JavaTM 2 Standard Edition.



%package manual
Summary:        JavaBeans Activation Framework
Group:          Development/Libraries/Java

%description manual
Documentation for jaf.



%package javadoc
Summary:        JavaBeans Activation Framework
Group:          Development/Libraries/Java
PreReq:         coreutils

%description javadoc
Javadoc documentation for jaf.



%package demo
Summary:        JavaBeans Activation Framework
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries/Java

%description demo
Demonstrations and samples for jaf.



%prep
rm -rf $RPM_BUILD_ROOT
%setup
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 activation.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar activation.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/javadocs
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt RELNOTES.txt
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog -n jaf
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial JPackage version 1.0.2 (JPackage 1.5)
